Bug 29065 - Accessibility: OPAC clear search history link has insufficient contrast
Summary: Accessibility: OPAC clear search history link has insufficient contrast
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Henry Bolshaw
QA Contact: Testopia
URL:
Keywords: accessibility
Depends on:
Blocks: 28188
  Show dependency treegraph
 
Reported: 2021-09-20 22:22 UTC by Henry Bolshaw
Modified: 2021-10-08 12:11 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05


Attachments
Bug_29065: Accessibility OPAC clear search history link has insufficient contrast (1.38 KB, patch)
2021-09-20 22:33 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 29065: Accessibility OPAC clear search history link has insufficient contrast (1.42 KB, patch)
2021-09-21 10:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29065: Accessibility OPAC clear search history link has insufficient contrast (1.49 KB, patch)
2021-09-24 15:37 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Bolshaw 2021-09-20 22:22:54 UTC
The contrast ratio for the OPAC Delete your search history link fails to meet accessibility guidelines.

WCAG 2.1 1.4.3 Contrast (Minimum) Level AA:

"The visual presentation of text and images of text has a contrast ratio of at least 4.5:1, except for the following: 

- Large Text: Large-scale text and images of large-scale text have a contrast ratio of at least 3:1;

- Incidental: Text or images of text that are part of an inactive user interface component, that are pure decoration, that are not visible to anyone, or that are part of a picture that contains significant other visual content, have no contrast requirement.

- Logotypes: Text that is part of a logo or brand name has no contrast requirement."

(https://www.w3.org/WAI/WCAG21/quickref/?versions=2.0#contrast-minimum)

There are several free websites for checking the contrast ratio, e.g. https://webaim.org/resources/contrastchecker/ 

You can also use the built-in accessibility functions in Firefox and Chrome, as well as specialist accessibility browser extensions like WAVE (https://wave.webaim.org/)
Comment 1 Henry Bolshaw 2021-09-20 22:33:52 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2021-09-21 10:30:14 UTC
Created attachment 125089 [details] [review]
Bug 29065: Accessibility OPAC clear search history link has insufficient contrast

This patch changes the colour of the clear search history link
on the OPAC to increase the contrast ratio, improve accessibility
and makes the text easier to read.

To test:

1. Go to the OPAC homepage
2. Use an accessibility tool (e.g Chrome's
   Lighthouse tool) to check the contrast ratio
3. Confirm that the clear search history link
   has insufficient contrast
4. Apply the patch and rebuild css:
   yarn build --view opac
5. Confirm that the contrast ratio now
   meets minimum accessibility requirements
6. Check the OPAC still looks ok after the changes

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Martin Renvoize 2021-09-24 15:37:33 UTC
Created attachment 125277 [details] [review]
Bug 29065: Accessibility OPAC clear search history link has insufficient contrast

This patch changes the colour of the clear search history link
on the OPAC to increase the contrast ratio, improve accessibility
and makes the text easier to read.

To test:

1. Go to the OPAC homepage
2. Use an accessibility tool (e.g Chrome's
   Lighthouse tool) to check the contrast ratio
3. Confirm that the clear search history link
   has insufficient contrast
4. Apply the patch and rebuild css:
   yarn build --view opac
5. Confirm that the contrast ratio now
   meets minimum accessibility requirements
6. Check the OPAC still looks ok after the changes

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2021-09-24 15:38:37 UTC
Brill. PQA
Comment 5 Jonathan Druart 2021-09-28 13:39:46 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 6 Kyle M Hall 2021-10-08 12:11:37 UTC
 Pushed to 21.05.x for 21.05.05